Skip to main content
PATCH
/
streaming
/
ingests
/
v2
/
{ingest_id}
cURL
curl --request PATCH \
  --url https://api.mottostreaming.com/streaming/ingests/v2/{ingest_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ingest_id": "<string>",
  "update_mask": "<string>"
}
'
{
  "ingest": {
    "region": "REGION_UNSPECIFIED",
    "id": "<string>",
    "project_id": "<string>",
    "key": "<string>",
    "passphrase": "<string>",
    "connected": true,
    "disabled": true,
    "name": "<string>",
    "description": "<string>",
    "pull_url": "<string>",
    "last_update_time": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ingest_id
string
required

Body

application/json
ingest_id
string
ingest
object
update_mask
string<field-mask>

Response

OK

ingest
object